/*
 * This file has been generated by the onto2vocabularyclass tool
 * copyright (C) 2007-2010 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef _SOPRANO_NAO_H_
#define _SOPRANO_NAO_H_

#include <QtCore/QUrl>

namespace Nepomuk {
    namespace Vocabulary {
        namespace NAO {
            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#
             */
            QUrl naoNamespace();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#
             */
            QUrl nrlOntologyGraph();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#Agent 
             * 
             * An agent is the artificial counterpart to nao:Party. It can 
             * be a software component or some service. 
             */
            QUrl Agent();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#FreeDesktopIcon 
             * 
             * Represents a desktop icon as defined in the FreeDesktop Icon 
             * Naming Standard (http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html). 
             */
            QUrl FreeDesktopIcon();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#Party 
             * 
             * Represents a single or a group of individuals 
             */
            QUrl Party();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#Symbol 
             * 
             * Represents a symbol, a visual representation of a resource. 
             * Typically a local or remote file would be double-typed to be 
             * used as a symbol. An alternative is nao:FreeDesktopIcon. 
             */
            QUrl Symbol();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#Tag 
             * 
             * Represents a generic tag 
             */
            QUrl Tag();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#altLabel 
             * 
             * An alternative label alongside the preferred label for a resource 
             */
            QUrl altLabel();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#altSymbol 
             * 
             * An alternative symbol representation for a resource 
             */
            QUrl altSymbol();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#annotation 
             * 
             * Generic annotation for a resource 
             */
            QUrl annotation();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#contributor 
             * 
             * Refers to a single or a group of individuals that contributed 
             * to a resource 
             */
            QUrl contributor();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#created 
             * 
             * States the creation, or first modification time for a resource 
             */
            QUrl created();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#creator 
             * 
             * Refers to the single or group of individuals that created the 
             * resource 
             */
            QUrl creator();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#deprecated 
             * 
             * If this property is assigned, the subject class, property, 
             * or resource, is deprecated and should not be used in production 
             * systems any longer. It may be removed without further notice. 
             */
            QUrl deprecated();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#description 
             * 
             * A non-technical textual annotation for a resource 
             */
            QUrl description();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#engineeringTool 
             * 
             * Specifies the engineering tool used to generate the graph 
             */
            QUrl engineeringTool();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#hasDefaultNamespace 
             * 
             * Defines the default static namespace for a graph 
             */
            QUrl hasDefaultNamespace();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#hasDefaultNamespaceAbbreviation 
             * 
             * Defines the default static namespace abbreviation for a graph 
             */
            QUrl hasDefaultNamespaceAbbreviation();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#hasSubResource 
             * 
             * Defines a relationship between a resource and one or more sub 
             * resources. Descriptions of sub-resources are only interpretable 
             * when the super-resource exists. Deleting a super-resource 
             * should then also delete all sub-resources, and transferring 
             * a super-resource (for example, sending it to another user) 
             * must also include the sub-resource. 
             */
            QUrl hasSubResource();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#hasSuperResource 
             * 
             * Defines a relationship between a resource and one or more super 
             * resources 
             */
            QUrl hasSuperResource();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#hasSymbol 
             * 
             * Annotation for a resource in the form of a visual representation. 
             * Typically the symbol is a double-typed image file or a nao:FreeDesktopIcon. 
             */
            QUrl hasSymbol();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#hasTag 
             * 
             * Defines an existing tag for a resource 
             */
            QUrl hasTag();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#hasTopic 
             * 
             * Defines a relationship between two resources, where the object 
             * is a topic of the subject 
             */
            QUrl hasTopic();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#iconName 
             * 
             * Defines a name for a FreeDesktop Icon as defined in the FreeDesktop 
             * Icon Naming Standard 
             */
            QUrl iconName();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#identifier 
             * 
             * Defines a generic identifier for a resource 
             */
            QUrl identifier();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#isDataGraphFor 
             * 
             * Links a named graph to the resource for which it contains metadata. 
             * Its typical usage would be to link the graph containing extracted 
             * file metadata to the file resource. This allows for easy maintenance 
             * later on. 
             */
            QUrl isDataGraphFor();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#isRelated 
             * 
             * Defines an annotation for a resource in the form of a relationship 
             * between the subject resource and another resource 
             */
            QUrl isRelated();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#isTagFor 
             * 
             * States which resources a tag is associated with 
             */
            QUrl isTagFor();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#isTopicOf 
             * 
             * Defines a relationship between two resources, where the subject 
             * is a topic of the object 
             */
            QUrl isTopicOf();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#lastModified 
             * 
             * States the last modification time for a resource 
             */
            QUrl lastModified();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#maintainedBy 
             * 
             * The agent that maintains this resource, ie. created it and knows 
             * what to do with it. 
             */
            QUrl maintainedBy();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#modified 
             * 
             * States the modification time for a resource 
             */
            QUrl modified();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#numericRating 
             * 
             * Annotation for a resource in the form of a numeric rating (float 
             * value), allowed values are between 1 and 10 whereas 0 is interpreted 
             * as not set 
             */
            QUrl numericRating();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#personalIdentifier 
             * 
             * Defines a personal string identifier for a resource 
             */
            QUrl personalIdentifier();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#pluralPrefLabel 
             * 
             * The plural form of the preferred label for a resource 
             */
            QUrl pluralPrefLabel();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#prefLabel 
             * 
             * A preferred label for a resource 
             */
            QUrl prefLabel();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#prefSymbol 
             * 
             * A unique preferred symbol representation for a resource 
             */
            QUrl prefSymbol();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#rating 
             * 
             * Annotation for a resource in the form of an unrestricted rating 
             */
            QUrl rating();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#score 
             * 
             * An authoritative score for an item valued between 0 and 1 
             */
            QUrl score();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#scoreParameter 
             * 
             * A marker property to mark selected properties which are input 
             * to a mathematical algorithm to generate scores for resources. 
             * Properties are marked by being defined as subproperties of 
             * this property 
             */
            QUrl scoreParameter();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#serializationLanguage 
             * 
             * States the serialization language for a named graph that is 
             * represented within a document 
             */
            QUrl serializationLanguage();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#status 
             * 
             * Specifies the status of a graph, stable, unstable or testing 
             */
            QUrl status();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#userVisible 
             * 
             * Mark a property, class, or even resource as user visible or not. 
             * Non-user-visible entities should never be presented to the 
             * user. By default everything is user-visible. 
             */
            QUrl userVisible();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao#version 
             * 
             * Specifies the version of a graph, in numeric format 
             */
            QUrl version();

            /**
             * http://www.semanticdesktop.org/ontologies/2007/08/15/nao/metadata 
             */
            QUrl metadata();
        }
    }
}

#endif
